Bug 1393310 - [ja_JP] Need to change the strings on storage manager ->Monitoring -> Timelines -> Options for "Management Events" and "Policy Events"
Summary: [ja_JP] Need to change the strings on storage manager ->Monitoring -> Timelin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization
Version: 5.7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Bhushan Barve
URL:
Whiteboard: timeline:i18n
Depends On:
Blocks: 1397532
TreeView+ depends on / blocked
 
Reported: 2016-11-09 10:08 UTC by Bhushan Barve
Modified: 2017-06-12 16:14 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1397532 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:14:47 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
events strings (72.65 KB, image/png)
2016-11-09 10:08 UTC, Bhushan Barve
no flags Details

Description Bhushan Barve 2016-11-09 10:08:22 UTC
Created attachment 1218873 [details]
events strings

Description of problem: On storage - storage providers page, the options for "Management Events" and "Policy Events" under storage manager ->Monitoring -> Timelines -> Options are in Chinese language for Japanese locale. 

This is as per the l10n qa report at - https://polarion.engineering.redhat.com/polarion/#/project/i18n/workitem?id=I18Ni18n-7280&revision=1268088

The zanata location shows correct translation for these two options - 
https://translate.zanata.org/webtrans/translate?project=manageiq&iteration=master&localeId=ja&locale=en-US&dswid=2252#view:doc;doc:manageiq;search:management%20event

https://translate.zanata.org/webtrans/translate?project=manageiq&iteration=master&localeId=ja&locale=en-US&dswid=2252#view:doc;doc:manageiq;search:policy%20event


Version-Release number of selected component (if applicable):
 バージョン 5.7.0.9-beta2.1.20161101182054_eb0afaa 

How reproducible:
always

Steps to Reproduce:
1. login with ja_JP locale
2. go to Storage -> Storage Providers
3. click on storage manager ->Monitoring -> Timelines
4. check the first drop-down under 'options'

Actual results:
The drop-down contains Chinese strings for mentioned options.

Expected results:
The options should contain Japanese strings.

Additional info:

Comment 2 Milan Zázrivec 2016-11-21 15:19:35 UTC
https://github.com/ManageIQ/manageiq/pull/12769

Comment 3 CFME Bot 2016-11-21 18:16:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8290c0975d9a9ed3124828691535c9d621b1d4e4

commit 8290c0975d9a9ed3124828691535c9d621b1d4e4
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 21 16:16:45 2016 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Nov 21 16:16:45 2016 +0100

    Use delayed translations for constants
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1393310

 app/controllers/application_controller/timelines/options.rb | 2 +-
 app/views/layouts/_tl_options.html.haml                     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 5 Krishna Babu K 2017-05-19 15:10:45 UTC
Verified on 5.8.0.15.20170517161141_119e6fd 
Cloud not reproduce the reported issue.


Note You need to log in before you can comment on or make changes to this bug.